# Programme de test du BME680
from time import sleep
from breakout_bme68x import BreakoutBME68X


from pimoroni_i2c import PimoroniI2C

PINS_I2C = {"sda": 4, "scl": 5}
i2c = PimoroniI2C(**PINS_I2C)
bme = BreakoutBME68X(i2c, 0x76)

while True:
    
    sleep(1)
    # Lire le capteur
    temperature, pressure, humidity, gas_resistance, status, gas_index, meas_index = bme.read()
            
    # pressure comes in pascals which is a reight long number, lets convert it to the more manageable mb
    pressuremb = pressure / 100
    print("Pression : ", pressuremb)    
    print("Température : ", temperature)
    print("Humidité : ", humidity)

